/*
 * Instance header file for PIC32CM6408MC00032
 *
 * Copyright (c) 2021 Microchip Technology Inc. and its subsidiaries.
 *
 * Subject to your compliance with these terms, you may use Microchip software and any derivatives
 * exclusively with Microchip products. It is your responsibility to comply with third party license
 * terms applicable to your use of third party software (including open source software) that may
 * accompany Microchip software.
 *
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY,
 * APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL OR CONSEQUENTIAL
 * LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF
 * MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT
 * ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT
 * EXCEED THE AMOUNT OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 */

/* file generated from device description version 2021-03-23T20:32:06Z */
#ifndef _PIC32CMMC00_DMAC_INSTANCE_
#define _PIC32CMMC00_DMAC_INSTANCE_


/* ========== Instance Parameter definitions for DMAC peripheral ========== */
#define DMAC_CH_BITS                             _UL_(4)    /* Number of bits to select channel */
#define DMAC_CH_NUM                              _UL_(12)   /* Number of channels */
#define DMAC_EVIN_NUM                            _UL_(4)    /* Number of input events */
#define DMAC_EVOUT_NUM                           _UL_(4)    /* Number of output events */
#define DMAC_LVL_BITS                            _UL_(2)    /* Number of bit to select level priority */
#define DMAC_LVL_NUM                             _UL_(4)    /* Enable priority level number */
#define DMAC_QOSCTRL_D_RESETVALUE                _UL_(2)    /* QOS dmac ahb interface reset value */
#define DMAC_QOSCTRL_F_RESETVALUE                _UL_(2)    /* QOS dmac fetch interface reset value */
#define DMAC_QOSCTRL_WRB_RESETVALUE              _UL_(2)    /* QOS dmac write back interface reset value */
#define DMAC_SPLIT_IRQ_NUM                       _UL_(0)    /* Number of IRQ split out */
#define DMAC_TRIG_BITS                           _UL_(6)    /* Number of bits to select trigger source */
#define DMAC_TRIG_NUM                            _UL_(40)   /* Number of peripheral triggers */
#define DMAC_INSTANCE_ID                         _UL_(35)   /* Instance index for DMAC */

#endif /* _PIC32CMMC00_DMAC_INSTANCE_ */
